### Virtual Method

# Gegl MetadataStore register_hook

#### Declaration [src]

    void
    register_hook (
      GeglMetadataStore* self,
      const gchar* file_module_name,
      guint flags
    )

#### Description [src]

This method is called after a file loader or saver registers a `GeglMetadataMap` and before any further processing takes place. It is intended to allow an application to create further application-specific mappings using gegl_metadata_store_register(). `GeglMetadataStore` provides a default method which emits the `::mapped` signal.

#### Parameters

`file_module_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint`

  No description available.